For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList apps
      • GETGet an app
      • PATCHUpdate an app
      • POSTCreate an app
      • DELDelete an app
      • GETGet constraints
      • POSTCreate constraint
      • GETGet constraint by ID
      • GETGet constraint versions
      • GETGet constraint version
      • PATCHUpdate constraint
      • DELDelete constraint
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceApps

Get constraint versions

GET
https://api.x.flatfile.com/v1/apps/:appId/constraints/:constraintId/versions
GET
/v1/apps/:appId/constraints/:constraintId/versions
$curl https://api.x.flatfile.com/v1/apps/appId/constraints/constraintId/versions \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "data": [
3 {
4 "appId": "appId",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "id": "id",
7 "updatedAt": "2024-01-15T09:30:00Z",
8 "validator": "validator",
9 "version": 1,
10 "description": "description",
11 "function": "function",
12 "label": "label",
13 "options": {
14 "key": "value"
15 },
16 "prompt": "prompt"
17 },
18 {
19 "appId": "appId",
20 "createdAt": "2024-01-15T09:30:00Z",
21 "id": "id",
22 "updatedAt": "2024-01-15T09:30:00Z",
23 "validator": "validator",
24 "version": 1,
25 "description": "description",
26 "function": "function",
27 "label": "label",
28 "options": {
29 "key": "value"
30 },
31 "prompt": "prompt"
32 }
33 ]
34}
Returns the versions of a specific constraint
Was this page helpful?
Previous

Get constraint version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

appIdstringRequired
ID of the app
constraintIdstringRequired
ID of the constraint

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
datalist of objects